
Redmine - Defect #22660

Deleting Wiki page fails

2016-04-28 11:42 - René Heck

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.1

Description

Currently i'm hitting an problem with deleting wiki pages after upgrading redmine from 2.6 to 3.2.

In the transaction it fails on this sql statement in there where clausel.

DELETE FROM `wiki_redirects` WHERE `wiki_redirects`.`redirects_to_wiki_id` = 16 AND `wiki_redirect

s`.`redirects_to` = 'Nomailreceipt';

 Error message:

Error Code: 1064. You have an error in your SQL syntax; check the manual that corresponds to your 

MySQL server version for the right syntax to use near '`wiki_redirects` WHERE `wiki_redirects`.`re

directs_to_wiki_id` = 16 AND `wiki_re' at line 1

 After many debugging i found out that error occurs throughs an invisible unicode character in the query.

I'm not if its because of an plugin or an encoding error through the Apache2.

Debug message:

Parameters: {"utf8"=>"✓", "authenticity_token"=>"ujMrRIftiEVTR0NpRKNFPByFK5hh9MFy7/u+Q11aT8id2u3vr

flcGeN+r7pE9eCerVPBDZh1IbTxjsC80z2jsQ==", "todo"=>"destroy", "reassign_to_id"=>"1667", "commit"=>"

Anwenden", "project_id"=>"wiki-gx2", "id"=>"Häufig_verwendete_Rauten"}

  Setting Load (0.4ms)  SELECT  `settings`.* FROM `settings` WHERE `settings`.`name` = 'session_li

fetime'  ORDER BY `settings`.`id` DESC LIMIT 1

  Setting Load (0.7ms)  SELECT  `settings`.* FROM `settings` WHERE `settings`.`name` = 'session_ti

meout'  ORDER BY `settings`.`id` DESC LIMIT 1

  SQL (2.3ms)  UPDATE `tokens` SET `tokens`.`updated_on` = '2016-04-28 09:29:38' WHERE `tokens`.`u

ser_id` = 196 AND `tokens`.`value` = 'f12049fa145dca16b262ce6ca5df285423cb1102' AND `tokens`.`acti

on` = 'session' AND (created_on > '2016-03-29 09:29:38.141898') AND (updated_on > '2016-04-27 09:2

9:38.144336')

   (0.4ms)  SELECT MAX(`settings`.`updated_on`) FROM `settings`

  User Load (0.4ms)  SELECT  `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUse

r') AND `users`.`status` = 1 AND `users`.`id` = 196 LIMIT 1

  Current user: r.heck (id=196)

   (0.3ms)  SELECT MAX(`contacts_settings`.`updated_on`) FROM `contacts_settings`

  Setting Load (0.3ms)  SELECT  `settings`.* FROM `settings` WHERE `settings`.`name` = 'force_defa

ult_language_for_loggedin'  ORDER BY `settings`.`id` DESC LIMIT 1

  Project Load (0.4ms)  SELECT  `projects`.* FROM `projects` WHERE `projects`.`identifier` = 'wiki

-gx2' LIMIT 1

  Wiki Load (0.3ms)  SELECT  `wikis`.* FROM `wikis` WHERE `wikis`.`project_id` = 11047 LIMIT 1

   (0.3ms)  SELECT `enabled_modules`.`name` FROM `enabled_modules` WHERE `enabled_modules`.`projec

t_id` = 11047

  WikiPage Load (0.5ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`wiki_id` = 1

6 AND (LOWER(title) = LOWER('Häufig_verwendete_Rauten'))  ORDER BY title LIMIT 1

  WikiPage Load (0.4ms)  SELECT `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`parent_id` = 

802  ORDER BY title

  WikiPage Load (0.2ms)  SELECT `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`parent_id` = 

1300  ORDER BY title

  CACHE (0.0ms)  SELECT `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`parent_id` = 802  ORD

ER BY title  [["parent_id", 802]]
  CACHE (0.0ms)  SELECT `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`parent_id` = 1300  OR

DER BY title  [["parent_id", 1300]]

   (0.1ms)  BEGIN

  WikiContent Load (0.2ms)  SELECT  `wiki_contents`.* FROM `wiki_contents` WHERE `wiki_contents`.`

page_id` = 1300 LIMIT 1

  SQL (0.3ms)  DELETE FROM `wiki_content_versions` WHERE `wiki_content_versions`.`wiki_content_id`

 = 1300

  SQL (0.2ms)  DELETE FROM `wiki_contents` WHERE `wiki_contents`.`id` = 1300 AND `wiki_contents`.`

version` = 2

  Attachment Load (0.3ms)  SELECT `attachments`.* FROM `attachments` WHERE `attachments`.`containe

r_id` = 1300 AND `attachments`.`container_type` = 'WikiPage'  ORDER BY attachments.created_on ASC,

 attachments.id ASC

  SQL (0.2ms)  UPDATE `wiki_pages` SET `wiki_pages`.`parent_id` = NULL WHERE `wiki_pages`.`parent_

id` = 1300 ORDER BY title

  SQL (0.2ms)  DELETE FROM `watchers` WHERE `watchers`.`watchable_id` = 1300 AND `watchers`.`watch

able_type` = 'WikiPage'

  SQL (0.2ms)  DELETE FROM `wiki_redirects` WHERE `wiki_redirects`.`redirects_to_wiki_id` = 16 AND

 `wiki_redirects`.`redirects_to` = 'Nomailreceipt'

  ActsAsTaggableOn::Tagging Load (0.2ms)  SELECT `taggings`.* FROM `taggings` WHERE `taggings`.`ta

ggable_id` = 1300 AND `taggings`.`taggable_type` = 'WikiPage'

  ActsAsTaggableOn::Tagging Load (0.3ms)  SELECT `taggings`.* FROM `taggings` INNER JOIN `tags` ON

 `tags`.`id` = `taggings`.`tag_id` WHERE `taggings`.`taggable_id` = 1300 AND `taggings`.`taggable_

type` = 'WikiPage' AND `taggings`.`context` = 'tags'

  WikiExtensionsTagRelation Load (0.2ms)  SELECT `wiki_extensions_tag_relations`.* FROM `wiki_exte

nsions_tag_relations` WHERE `wiki_extensions_tag_relations`.`wiki_page_id` = 1300

  SQL (0.3ms)  DELETE FROM `wiki_extensions_tag_relations` WHERE `wiki_extensions_tag_relations`.`

id` = 5006

  WikiExtensionsTag Load (0.2ms)  SELECT  `wiki_extensions_tags`.* FROM `wiki_extensions_tags` WHE

RE `wiki_extensions_tags`.`id` = 1183 LIMIT 1

  WikiExtensionsTagRelation Load (0.2ms)  SELECT `wiki_extensions_tag_relations`.* FROM `wiki_exte

nsions_tag_relations` WHERE `wiki_extensions_tag_relations`.`tag_id` = 1183

  WikiPage Load (0.2ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`id` = 813 LI

MIT 1

  WikiPage Load (0.2ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`id` = 822 LI

MIT 1

  WikiPage Load (0.2ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`id` = 1037 L

IMIT 1

  WikiPage Load (0.2ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`id` = 914 LI

MIT 1

  WikiPage Load (0.2ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`id` = 815 LI

MIT 1

  WikiPage Load (0.2ms)  SELECT  `wiki_pages`.* FROM `wiki_pages` WHERE `wiki_pages`.`id` = 1796 L

IMIT 1

   (1.1ms)  ROLLBACK

Completed 500 Internal Server Error in 181ms (ActiveRecord: 25.7ms)

 Enviroment:

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux-gnu]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Darcs                          2.8.4

  Mercurial                      2.8.2

  Cvs                            1.12.13

  Bazaar                         2.7.0

  Git                            2.8.1

  Filesystem                     

Redmine plugins:

  a_common_libs                  2.1.0

  clipboard_image_paste          1.8

  export_control                 0.0.1

  extended_fields                1.0.0
  extra_queries                  2.0.3

  help_heidi                     0.0.1

  hide_member_box                0.0.1

  meta                           0.2.3

  parent_issue_filter            1.0.0

  portal_auth                    0.0.1

  project_publicity              0.0.1

  quick_edit                     0.0.4

  readme_at_repositories         0.2.1

  redmine_actions_buttons        0.0.9

  redmine_agile                  1.3.12

  redmine_app_notifications      0.0.1

  redmine_backlogs               v1.0.6

  redmine_banner                 0.1.1

  redmine_base_deface            0.0.1

  redmine_base_select2           0.0.1

  redmine_checklists             3.1.3

  redmine_ckeditor               1.1.3

  redmine_code_review            0.7.0

  redmine_contacts               4.0.2

  redmine_contacts_invoices      4.0.1

  redmine_didyoumean             1.2.0

  redmine_dmsf                   1.5.5

  redmine_documents              1.0.0

  redmine_email_fetcher          0.3.1

  redmine_favorite_projects      1.0.4

  redmine_finance                2.0.0

  redmine_gist                   0.0.1

  redmine_issue_favicon          0.0.1

  redmine_issue_icons            1.0.0

  redmine_issue_templates        0.1.1

  redmine_last_updated_by_column 0.3.0

  redmine_ldap_sync              2.0.7.devel.gba84cac44e-dirty

  redmine_login_audit            0.1.4

  redmine_logs                   0.0.5

  redmine_menu_links             1.0.0

  redmine_message_issues         0.1.0

  redmine_monitoring_controlling 0.1.1

  redmine_multiprojects_issue    0.1

  redmine_my_page_queries        2.0.9

  redmine_open_search            0.1.0

  redmine_people                 1.0.0

  redmine_per_project_formatting 0.0.4

  redmine_private_wiki           0.2.2

  redmine_products               2.0.0

  redmine_release_notes          1.3.1

  redmine_remote_revision_url    0.1.0

  redmine_sidebar_toc_pt         1.6.0

  redmine_subtasks_inherited_fields 0.0.1

  redmine_tags                   2.0.1-dev

  redmine_theme_changer          0.2.0

  redmine_uhoh                   0.0.1

  redmine_vote                   1.2.2

  redmine_wiki_extensions        0.7.0

  report_roles                   0.0.1

  spectator                      0.0.1

History

#1 - 2016-04-28 11:53 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact redmine_wiki_extensions extension author.

Powered by TCPDF (www.tcpdf.org)

2025-05-09 3/3

http://www.tcpdf.org

